#pragma once

#include "Widget.h"

class Button : public Widget
{
private:
    std::string mLabel;

public:
    Button();

    static std::unique_ptr<Button> Create();

    void SetLabel(const std::string& text);

    void OnPaintEvent(const PaintEvent* event) override;

protected:

    void OnMyMouseEvent(const MouseEvent* event) override;
};

using ButtonUPtr = std::unique_ptr<Button>;
