#pragma once

#include "Widget.h"

class HorizontalSpacer : public Widget
{

public:
    HorizontalSpacer();

    static std::unique_ptr<HorizontalSpacer> Create();

    void AddChildLayers(const PaintEvent* event) override;

    void OnPaintEvent(const PaintEvent* event) override;
};

using HorizontalSpacerUPtr = std::unique_ptr<HorizontalSpacer>;
